using Tiobon.Core.Model.ViewModels.Extend;

namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 岗位技能_宝连通(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_TitleSkill_BoltoneController : BaseController<IGhre_TitleSkill_BoltoneServices, Ghre_TitleSkill_Boltone, Ghre_TitleSkill_BoltoneDto, InsertGhre_TitleSkill_BoltoneInput, EditGhre_TitleSkill_BoltoneInput>
{
    public Ghre_TitleSkill_BoltoneController(IGhre_TitleSkill_BoltoneServices service) : base(service)
    {
    }

    #region 状态修改 
    [HttpPost("QueryMatrix")]
    public async Task<dynamic> QueryMatrix(string status, [FromBody] QueryBody filter)
    {
        return await _service.QueryMatrix(filter);
    }
    #endregion 
}